shp_doctor(1)

NAME
shp_doctor - analysis/sanitizing tool for SHAPEFILES

SYNOPSIS
\FCshp_doctor\F[]
[\FC-h\F[]] [\FC-i\F[] pathname] [\FC--analyze\F[]] [\FC--ignore-shape-type\F[]] [\FC--ignore-extent\F[]] [\FC--ignore-shx\F[]] [\FC-dbf\F[]]

DESCRIPTION
shp_doctor is an analysis/sanitizing tool for SHAPEFILES.

OPTIONS

\FC-h\F[], \FC--help\F[]
    print help message

\FC-i\F[] pathname, \FC--in-path\F[] pathname
    the SHP path (no suffix) or the full DBF path (-dbf)

\FC--analyze\F[]
    perform analysis (default)

\FC--ignore-shape-type\F[]
    ignore entities' shape-type

\FC--ignore-extent\F[]
    ignore coord consistency

\FC--ignore-shx\F[]
    ignore the SHX file

\FC-dbf\F[], \FC--bare-dbf\F[]
    bare DBF check